ScXMLEltReader Class Referenceabstract
State Chart XML Classes

base class for element reader objects More...

`#include <Inventor/scxml/ScXMLElt.h>`

## Public Member Functions

| ScXMLEltReader (const char *eltname)
virtual ScXMLElt * | read (ScXMLElt *container, cc_xml_elt *elt, ScXMLDocument *doc, ScXMLStateMachine *sm)=0

## Protected Member Functions

void | setXMLAttributes (ScXMLElt *scxmlelt, cc_xml_elt *xmlelt)

## Protected Attributes

const char * | element

## Detailed Description

base class for element reader objects

Since
  Coin 3.1

The documentation for this class was generated from the following files:

- ScXMLElt.h
- ScXMLElt.cpp